<?php
class Cambio_model extends CI_Model {

	public function log($idUsuario = null, $cantidad = []){

		$this->db->select("*");
		$this->db->from('cambios_log');
		if ($idUsuario != 'todos') {
			$this->db->where('id_usuario', $idUsuario);
		}
		$this->db->order_by('created', 'DESC');

		$result['total'] = $this->db->count_all_results('', false);
		
		// Condiciones de Paginación
		$this->db->limit($cantidad[1], $cantidad[0]);

		$result['cambios'] = $this->db->get()->result_array();
		foreach ($result['cambios'] as &$l) {
			$l['cambios'] = json_decode($l['data'], TRUE);
			foreach ($l['cambios'] as &$c) {
				if (isset($c['Anterior'])) {
					$c['anterior'] = $c['Anterior'];
					unset($c['Anterior']);
				}
				if (isset($c['Actual'])) {
					$c['actual'] = $c['Actual'];
					unset($c['Actual']);
				}
			}
		}
		return $result;
	}

}
